# kari

function readline() {
    var ist = new java.io.InputStreamReader(java.lang.System.in);
    var bre = new java.io.BufferedReader(ist);
    var line = bre.readLine();
    return line;
}
    
let number = [];

while (true) {
    write("数値を入力して下さい(C-dで終了): ");
    str=readline();
    if (!str) break;	// C-dでEOFとなって null が返る
    
    num = parseFloat(str);
    number.push(num);
}

let json = JSON.stringify(number);
print("入力された数値の配列 (JSON形式):");
print(json);
